package com.enoram.restify.client;

import java.util.List;

import com.google.gwt.user.client.rpc.AsyncCallback;

/**
 * The async counterpart of <code>GreetingService</code>.
 */
public interface GreetingServiceAsync {
	void greetServer(String input, AsyncCallback<String> callback)
			throws IllegalArgumentException;

	void register(String name, AsyncCallback<String> callback);

	void listNames(AsyncCallback<List<String>> callback);

	void getName(int id, AsyncCallback<String> callback);

	void getSubName(int id, int index, int len,  AsyncCallback<String> callback);

	void addComment(int id, Comment comment, AsyncCallback<Comment> callback);

	void doVoidCall(String name, AsyncCallback<Void> callback);

	void comments(AsyncCallback<List<Comment>> callback);
}
