package com.enoram.restify.server;
/**
 * 
 * (@greetId int, @comment class com.enoram.restify.client.Comment)
 * (@greeting class java.lang.String)
 * 
 * @author Nathan
 *
 */
public class ParamParser {
	String param;
	public ParamParser(String param){
		this.param = param;
	}
	/**
	 * (@greetId int, @comment class com.enoram.restify.client.Comment)
	 * (@greeting class java.lang.String)
	 * 
	 * @param callback
	 */
	public void parse(ParamCallBack callback){
		//remove the "class " word
		param = param.replaceAll("class ", "");
		
		String[] ss = param.split(" ");

		if (ss.length < 2) {
			throw new IllegalAccessError(
					"Bad param. Expected 'name type' pair param");
		}

		if (ss[0].startsWith("@")) {
			
			String named = ss[0];
			named = named.substring(1); // remove @
			// need to get the Object value
			String type = ss[1]; // int, long, etc
			
			callback.perform(type, named);
		}else{ //no named param, only allowd 1 no named param and must be an object
		
				String named = ss[0];
				named = named.substring(1); // remove @
				String type = ss[1]; // any object type 
						
				callback.performObject(type, named);
		}
		
	}
}
