package com.enoram.restify.server;

public class RestRequestContent {
	private String apiNamed;
	private String methodPath;
	private RestParam restParam;
	
	private String content;

	
	
	public RestRequestContent(String apiNamed, String methodPath,
			RestParam restParam) {
		super();
		this.apiNamed = apiNamed;
		this.methodPath = methodPath;
		this.restParam = restParam;
	}

	public String getApiNamed() {
		return apiNamed;
	}

	public void setApiNamed(String apiNamed) {
		this.apiNamed = apiNamed;
	}
	public boolean isEmptyApiNamed(){
		return getApiNamed() ==null || getApiNamed().isEmpty();
	}



	public RestParam getRestParam() {
		return restParam;
	}

	public void setRestParam(RestParam restParam) {
		this.restParam = restParam;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getMethodPath() {
		return methodPath;
	}

	public void setMethodPath(String methodPath) {
		this.methodPath = methodPath;
	}
}
