package com.enoram.restify.shared;

import java.io.Serializable;

/**
 * JSON object representation data for client. The EndPointobject will be used by client using Restify object helper class to be 
 * 
 * @author Nathan
 *
 */
public class EndPoint implements Serializable{
	private static final long serialVersionUID = 1L;
	
	private String apiPath;
	
	private ParamList paramList = new ParamList();

	public EndPoint() {
		super();
	}
	
	
	public EndPoint(String apiPath) {
		super();
		this.apiPath = apiPath;
	}

	public ParamList getParamList() {
		return paramList;
	}

	public void setParamList(ParamList paramList) {
		this.paramList = paramList;
	}

	

	public String getApiPath() {
		return apiPath;
	}

	public void setApiPath(String apiPath) {
		this.apiPath = apiPath;
	}
	
	
	

}
