package com.enoram.restify;

import com.enoram.restify.server.RestParam;
import com.enoram.restify.server.RestRequestContent;

public class BaseTest {
	protected RestRequestContent createRestRequestContent(String apiNamed, String methodName, String queryString, String content){
		RestRequestContent reqContent = createRestRequestContent(apiNamed, methodName, queryString);
		reqContent.setContent(content);
		return reqContent;
		
	}
	
	public static RestRequestContent createRestRequestContent(String apiNamed, String methodName, String queryString){
		RestParam param = new RestParam(queryString);
		
		RestRequestContent reqContent = new RestRequestContent(apiNamed, methodName, param);
		
		return reqContent;
		
	}
}
