package com.enoram.restify.server;

import java.lang.reflect.Method;

public class RestRequest {

	private final String apiNamed;
	  /**
	   * The method for this request.
	   */
	  private final Method method;

	  /**
	   * The parameters for this request.
	   */
	  private final Object[] parameters;

	public RestRequest(String apiNamed, Method method, Object[] parameters) {
		super();
		this.apiNamed = apiNamed;
		this.method = method;
		this.parameters = parameters;
	}

	public Method getMethod() {
		return method;
	}

	public Object[] getParameters() {
		return parameters;
	}

	public String getApiNamed() {
		return apiNamed;
	}






	
}
