package com.enoram.restify.server.guice;

import com.enoram.restify.server.codemodel.HttpSerializationReader;
import com.enoram.restify.server.codemodel.HttpSerializationWriter;
import com.enoram.restifycore.HttpRequestSerializationWriter;
import com.enoram.restifycore.HttpSerializationStreamReader;
import com.enoram.restifycore.SerializationReader;
import com.enoram.restifycore.SerializationWriter;
import com.google.inject.AbstractModule;

/**
 * Module to bind RESTAPI engine. Use this module on your Test and class implementation in order for generated
 * RESTAPI class to be able to work by using Guice as DI provider
 * 
 * @author Nathan
 * @deprecated
 */
public class RestApiModule extends AbstractModule {
	@Override
	protected void configure() {
		bind(SerializationWriter.class).annotatedWith(HttpSerializationWriter.class)
		.to(HttpRequestSerializationWriter.class);
		
		bind(SerializationReader.class).annotatedWith(HttpSerializationReader.class)
		.to(HttpSerializationStreamReader.class);
		
		
	}
}
