package com.enoram.restify.server.restapi.gen;

import java.lang.reflect.Type;
import java.util.ArrayList;
import java.util.List;

import com.enoram.restify.client.Comment;
import com.google.gson.Gson;
import com.google.gson.reflect.TypeToken;
public class TestTypeTokenGson {

	public static void main(String[] args) {
		
		List<Comment>comments = new ArrayList<Comment>();
		comments.add(new Comment("test1"));
		comments.add(new Comment("test2"));
		comments.add(new Comment("test3"));
		
		Type fooType = new TypeToken<List<Comment>>() {}.getType();
		
		
		Gson gson = new Gson();
		
		String json = gson.toJson(comments);
		
		System.out.println(json);
		
		System.out.println("-------------------------------------------------------");
		
		comments = gson.fromJson(json, fooType);
		 
		for(Comment comment: comments){
			System.out.println(comment.getComment());
		}
	}
	
}
