package com.enoram.restify.shared;

import java.io.Serializable;
import java.util.ArrayList;

public class ParamList implements Serializable{
	private static final long serialVersionUID = 1L;
	private ArrayList<Param> params = new ArrayList<Param>();

	public ArrayList<Param> getParams() {
		return params;
	}

	public void setParams(ArrayList<Param> params) {
		this.params = params;
	}

	public void add(Param param){
		params.add(param);
	}
	
	public void add(String name, String value){
		add(new Param(name, value));
	}
	
	public void remove(Param param){
		params.remove(param);
	}
	
	public void remove(String name){
		for(Param param: params){
			if(param.getName().equalsIgnoreCase(name)){
				params.remove(param);
				break;
			}
		}
	}
}
